﻿@model Tuple<ARGNSCSSchema, CostSheetComboSAP>

@{
    string mTrId = "TR_Schema" + Model.Item1.LineId;
    string mItemCode = "Schema_ItemCode" + Model.Item1.LineId;
    string mItemName = "Schema_ItemName" + Model.Item1.LineId;
    string mLineId = "Schema_LineId" + Model.Item1.LineId;
    string mPercent = "Schema_Percent" + Model.Item1.LineId;
    string mPList = "Schema_PList" + Model.Item1.LineId;
    string mCurrency = "Schema_Currency" + Model.Item1.LineId;
    string mAmount = "Schema_Amount" + Model.Item1.LineId;
    string mIsNew = "Schema_IsNew" + Model.Item1.LineId;

    <tr id='@mTrId'>
        <td>
            <input id='@mItemCode' class="form-control" value='@Model.Item1.U_ItemCode' disabled="disabled" />
            <input type="hidden" id="@mLineId" value="@Model.Item1.LineId" />
        </td>
        <td><input id='@mItemName' class="form-control" value='@Model.Item1.U_ItemName' disabled="disabled" /></td>

        <td><input id='@mPercent' type="number" class="form-control" value='@(Model.Item1.U_Percent != null ? Math.Round((decimal)Model.Item1.U_Percent, 2).ToString() : "")'/></td>
        <td>
            @Html.DropDownList(@mPList, new SelectList(
                Model.Item2.PriceList,
                "ListNum",
                "ListName", Model.Item1.U_PList), new { @Id = @mPList, @class = "form-control" })
        </td>
        <td>
            @Html.DropDownList(mCurrency, new SelectList(
                Model.Item2.CurrencyList,
                "CurrCode",
                "CurrName", Model.Item1.U_Currency), new { @Id = mCurrency, @class = "form-control" })
        </td>
        <td><input id='@mAmount' type="number" class="form-control" value='@(Model.Item1.U_Amount != null ? Math.Round((decimal)Model.Item1.U_Amount, 2).ToString() : "")'/></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.Item1.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.Item1.MappedUdf != null && Model.Item1.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.Item1.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                    DictRow.ListUFD1,
                                    "FldValue",
                                    "Descr", DictRow.Value), new { @Id = "LINEUDF_Schema_" + DictRow.UDFName + Model.Item1.LineId, @Name = "LINEUDF_Schema_" + DictRow.UDFName, @class = "form-control UDFField"})
                        }
                        else
                        {
                            <input id='LINEUDF_Schema_@DictRow.UDFName@Model.Item1.LineId' name="LINEUDF_Schema_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value'/>
                        }
                    </td>
                }
            }
        }
    </tr>
}